be.cin.mycarenet._1_0.carenet.types

## Class NurseContractualCareDetailType

- java.lang.Object
- - be.cin.mycarenet._1_0.carenet.types.NurseContractualCareDetailType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2022-06-08T05:27:12+02:00",
                 comments="JAXB RI v2.2.11")
      public class NurseContractualCareDetailType
      extends Object
      implements Serializable

  The NurseContractualCareDetailType element contains all the data needed to specify a Contractual Care.

  Java class for NurseContractualCareDetailType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="NurseContractualCareDetailType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="DecisionReference" type="{urn:be:cin:mycarenet:1.0:carenet:types}DecisionReferenceType" minOccurs="0"/>
               <element name="ReferenceProviderModification" type="{http://www.w3.org/2001/XMLSchema}boolean" minOccurs="0"/>
               <element name="ContractualType" type="{urn:be:cin:mycarenet:1.0:carenet:types}ContractualTypeType" minOccurs="0"/>
               <element name="TreatmentPeriod" type="{urn:be:cin:mycarenet:1.0:carenet:types}PeriodLengthType"/>
               <element name="CareDaysByWeek" type="{urn:be:cin:mycarenet:1.0:carenet:types}NbrOfDayInAWeekAllowZeroAllowEmpty" minOccurs="0"/>
               <element name="VisitByDay" type="{urn:be:cin:mycarenet:1.0:carenet:types}VisitByDayTypeAllowEmpty" minOccurs="0"/>
               <element name="Toilets" type="{urn:be:cin:mycarenet:1.0:carenet:types}ToiletsType" minOccurs="0"/>
               <element name="Katz" type="{urn:be:cin:mycarenet:1.0:carenet:types}KatzType" minOccurs="0"/>
               <element name="CarePlace" type="{urn:be:cin:mycarenet:1.0:carenet:types}CarePlaceType" minOccurs="0"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NurseContractualCareDetailType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getCareDaysByWeek()` Gets the value of the careDaysByWeek property.
    `CarePlaceType` | `getCarePlace()` Gets the value of the carePlace property.
    `ContractualTypeType` | `getContractualType()` Gets the value of the contractualType property.
    `String` | `getDecisionReference()` Gets the value of the decisionReference property.
    `KatzType` | `getKatz()` Gets the value of the katz property.
    `ToiletsType` | `getToilets()` Gets the value of the toilets property.
    `PeriodLengthType` | `getTreatmentPeriod()` Gets the value of the treatmentPeriod property.
    `String` | `getVisitByDay()` Gets the value of the visitByDay property.
    `Boolean` | `isReferenceProviderModification()` Gets the value of the referenceProviderModification property.
    `void` | `setCareDaysByWeek(String value)` Sets the value of the careDaysByWeek property.
    `void` | `setCarePlace(CarePlaceType value)` Sets the value of the carePlace property.
    `void` | `setContractualType(ContractualTypeType value)` Sets the value of the contractualType property.
    `void` | `setDecisionReference(String value)` Sets the value of the decisionReference property.
    `void` | `setKatz(KatzType value)` Sets the value of the katz property.
    `void` | `setReferenceProviderModification(Boolean value)` Sets the value of the referenceProviderModification property.
    `void` | `setToilets(ToiletsType value)` Sets the value of the toilets property.
    `void` | `setTreatmentPeriod(PeriodLengthType value)` Sets the value of the treatmentPeriod property.
    `void` | `setVisitByDay(String value)` Sets the value of the visitByDay property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NurseContractualCareDetailType

          public NurseContractualCareDetailType()

  - ### Method Detail

    - #### getDecisionReference

          public String getDecisionReference()

      Gets the value of the decisionReference property.
      Returns:
        possible object is `String`

    - #### setDecisionReference

          public void setDecisionReference(String value)

      Sets the value of the decisionReference property.
      Parameters:
        `value` - allowed object is `String`

    - #### isReferenceProviderModification

          public Boolean isReferenceProviderModification()

      Gets the value of the referenceProviderModification property.
      Returns:
        possible object is `Boolean`

    - #### setReferenceProviderModification

          public void setReferenceProviderModification(Boolean value)

      Sets the value of the referenceProviderModification property.
      Parameters:
        `value` - allowed object is `Boolean`

    - #### getContractualType

          public ContractualTypeType getContractualType()

      Gets the value of the contractualType property.
      Returns:
        possible object is `ContractualTypeType`

    - #### setContractualType

          public void setContractualType(ContractualTypeType value)

      Sets the value of the contractualType property.
      Parameters:
        `value` - allowed object is `ContractualTypeType`

    - #### getTreatmentPeriod

          public PeriodLengthType getTreatmentPeriod()

      Gets the value of the treatmentPeriod property.
      Returns:
        possible object is `PeriodLengthType`

    - #### setTreatmentPeriod

          public void setTreatmentPeriod(PeriodLengthType value)

      Sets the value of the treatmentPeriod property.
      Parameters:
        `value` - allowed object is `PeriodLengthType`

    - #### getCareDaysByWeek

          public String getCareDaysByWeek()

      Gets the value of the careDaysByWeek property.
      Returns:
        possible object is `String`

    - #### setCareDaysByWeek

          public void setCareDaysByWeek(String value)

      Sets the value of the careDaysByWeek property.
      Parameters:
        `value` - allowed object is `String`

    - #### getVisitByDay

          public String getVisitByDay()

      Gets the value of the visitByDay property.
      Returns:
        possible object is `String`

    - #### setVisitByDay

          public void setVisitByDay(String value)

      Sets the value of the visitByDay property.
      Parameters:
        `value` - allowed object is `String`

    - #### getToilets

          public ToiletsType getToilets()

      Gets the value of the toilets property.
      Returns:
        possible object is `ToiletsType`

    - #### setToilets

          public void setToilets(ToiletsType value)

      Sets the value of the toilets property.
      Parameters:
        `value` - allowed object is `ToiletsType`

    - #### getKatz

          public KatzType getKatz()

      Gets the value of the katz property.
      Returns:
        possible object is `KatzType`

    - #### setKatz

          public void setKatz(KatzType value)

      Sets the value of the katz property.
      Parameters:
        `value` - allowed object is `KatzType`

    - #### getCarePlace

          public CarePlaceType getCarePlace()

      Gets the value of the carePlace property.
      Returns:
        possible object is `CarePlaceType`

    - #### setCarePlace

          public void setCarePlace(CarePlaceType value)

      Sets the value of the carePlace property.
      Parameters:
        `value` - allowed object is `CarePlaceType`

Connector Packaging PERSOCCUPATIONALTHERAPIST 4.1.2 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.